> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openpage.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a badge attribution by metadata property



## OpenAPI

````yaml https://api.openpage.fun/v1/docs.json get /community/{id}/badge/{badgeId}/attribution/by-metadata
openapi: 3.0.0
info:
  title: OpenPage API Reference
  description: ''
  version: '1.0'
  contact: {}
servers:
  - url: https://api.openpage.fun/v1
security: []
tags:
  - name: Launcher
    description: >-
      Launcher endpoints are used to interact with your embedded or external
      experiences.


      **Launcher endpoints require setting up a Community Experience.**


      See: [Community
      Experiences](/api-reference/community-experiences/create-experience)
  - name: Communities
    description: >-
      Community endpoints are used to retrieve information about your
      Communities and associated members.


      **Community API endpoints require an API key obtained from the Community
      dashboard.**


      [Community Dashboard](https://portal.openpage.fun)
  - name: Community Badges
    description: >-
      Community Badge endpoints are used to create and manage badges, their
      associated rewards, and member attributions.


      **Community Badge endpoints require an API key obtained from the Community
      dashboard.**


      [Community Dashboard](https://portal.openpage.fun)
  - name: Community Files
    description: >-
      Community File endpoints are used to create and manage files used for
      Badges and Collections.


      **Community File endpoints require an API key obtained from the Community
      dashboard.**


      [Community Dashboard](https://portal.openpage.fun)
  - name: Community Experiences
    description: >-
      Community Experience endpoints are used to create and manage experiences.


      **Community Experience endpoints require an API key obtained from the
      Community dashboard.**


      [Community Dashboard](https://portal.openpage.fun)
paths:
  /community/{id}/badge/{badgeId}/attribution/by-metadata:
    get:
      tags:
        - Community Badges
      summary: Get a badge attribution by metadata property
      operationId: CommunityBadgeController_getBadgeAttributionByMetadata
      parameters:
        - name: id
          required: true
          in: path
          description: Community ID
          schema:
            type: string
        - name: badgeId
          required: true
          in: path
          schema:
            type: string
        - name: key
          required: true
          in: query
          description: Metadata key to find the badge attribution by
          schema:
            type: string
        - name: value
          required: true
          in: query
          description: Metadata value to find the badge attribution by
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/CommunityMemberBadgeAttributionResponseDto
      security:
        - apiKey: []
components:
  schemas:
    CommunityMemberBadgeAttributionResponseDto:
      type: object
      properties:
        id:
          type: string
        badgeId:
          type: string
        earnedAt:
          format: date-time
          type: string
        claimedAt:
          format: date-time
          type: string
        transactionHash:
          type: string
        tokenId:
          type: string
        chainId:
          type: number
        contract:
          type: string
        metadata:
          type: object
        metadata.[key]:
          type: object
      required:
        - id
        - badgeId
        - earnedAt
        - claimedAt
        - transactionHash
        - tokenId
        - chainId
        - contract
        - metadata
        - metadata.[key]
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-Api-Key
      in: header

````